Package com.sas.services.user

# Class SummaryDataEntry

java.lang.Object
com.sas.services.user.SummaryDataEntry

All Implemented Interfaces:
  `Serializable`

public class SummaryDataEntry extends Object implements Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `SummaryDataEntry.RepositorySummary`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SummaryDataEntry(String name, String userid, long authTime, String ctxId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `addReposData(SummaryDataEntry.RepositorySummary summary)`
  `final String`
  `getAppSource()`
  `final long`
  `getAuthTime()`
  `final String`
  `getClientSource()`
  `final String`
  `getName()`
  `final List`
  `getReposData()`
  `final String`
  `getUserCtxId()`
  `final String`
  `getUserid()`
  `final void`
  `setAppSource(String appSource)`
  `final void`
  `setAuthTime(long authTime)`
  `final void`
  `setClientSource(String clientSource)`
  `final void`
  `setName(String name)`
  `final void`
  `setUserCtxId(String userCtxId)`
  `final void`
  `setUserid(String userid)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SummaryDataEntry

    public SummaryDataEntry(String name, String userid, long authTime, String ctxId)

- ## Method Details

  - ### getAuthTime

    public final long getAuthTime()

  - ### setAuthTime

    public final void setAuthTime(long authTime)

  - ### getName

    public final String getName()

  - ### setName

    public final void setName(String name)

  - ### getUserid

    public final String getUserid()

  - ### setUserid

    public final void setUserid(String userid)

  - ### getUserCtxId

    public final String getUserCtxId()

  - ### setUserCtxId

    public final void setUserCtxId(String userCtxId)

  - ### getAppSource

    public final String getAppSource()

  - ### setAppSource

    public final void setAppSource(String appSource)

  - ### getClientSource

    public final String getClientSource()

  - ### setClientSource

    public final void setClientSource(String clientSource)

  - ### getReposData

    public final List getReposData()

  - ### addReposData

    public final void addReposData(SummaryDataEntry.RepositorySummary summary)